Bug 416167 - No keyboard shortcuts for going backward/forward a track
Summary: No keyboard shortcuts for going backward/forward a track
Status: RESOLVED FIXED
Alias: None
Product: Elisa
Classification: Unclassified
Component: general (show other bugs)
Version: 19.12.1
Platform: Archlinux Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: Matthieu Gallien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-12 14:13 UTC by Patrick Silva
Modified: 2020-09-21 14:08 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-01-12 14:13:45 UTC
STEPS TO REPRODUCE
1. press left/right keyboard arrow during playback
2. 
3. 

OBSERVED RESULT
nothing happens. If we press left/right arrow after click on progress slider, playback just pauses during a few milliseconds. 

EXPECTED RESULT
we can backward/forward a track by pressing keyboard arrows

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.17.5
KDE Frameworks Version: 5.66.0
Qt Version: 5.14.0
Comment 1 Nate Graham 2020-01-14 23:06:17 UTC
Unlike the space bar, we can't universally use the left and right arrow keys for back/forwards by track because these keys are used for navigation through the currently-focused view. If we had all lists, maybe we could do it because lists only require the up and down keys for navigation, but we have grids, and grids require all four arrow keys for navigation.

However currently there is no global shortcut at all for this, and I think there should be. Maybe Ctrl+Left? Alt+Left? Do you know what other players do?
Comment 2 Patrick Silva 2020-01-15 15:27:52 UTC
Tested several players on my system.

keyboard arrows work with:
audacious, VLC, lollypop, SMPlayer, Dragon, Strawberry, Qoob and qmmp

keyboard arrows only work after click on the seek bar:
Rhythmbox and Quod Libet

keyboard arrows do not work with:
pragha player, juk, yarock, Sayonara, Exaile and DeadBeef.
juk uses the global shortcuts ctrl+alt+shift+left/right by default, Sayonara uses local shortcuts alt+left/right
Comment 3 Nate Graham 2020-01-15 18:06:56 UTC
Thanks, that's very useful information.

Matthieu, do you have any thoughts on how we should proceed here? I would really like to be able to use the left and right keys with no modifiers if possible, but obviously that conflicts with navigation in the grid views. Maybe we could use them with a grid view isn't focused? That might be inconsistent and weird though.
Comment 4 Matthieu Gallien 2020-01-15 20:36:39 UTC
(In reply to Nate Graham from comment #3)
> Thanks, that's very useful information.
> 
> Matthieu, do you have any thoughts on how we should proceed here? I would
> really like to be able to use the left and right keys with no modifiers if
> possible, but obviously that conflicts with navigation in the grid views.
> Maybe we could use them with a grid view isn't focused? That might be
> inconsistent and weird though.

Thanks Patrick and Nate for your work on this report.

I have just tried vlc and quite like its behavior when a grid view is focused and you press right arrow key.

Until the focused item is not the rightmost one, it will move the focused item. After that, the playing position will be moved. It feels natural.

We could probably come with such a solution in Elisa.
Comment 5 Matthieu Gallien 2020-01-15 20:38:11 UTC
(In reply to Matthieu Gallien from comment #4)
> (In reply to Nate Graham from comment #3)
> > Thanks, that's very useful information.
> > 
> > Matthieu, do you have any thoughts on how we should proceed here? I would
> > really like to be able to use the left and right keys with no modifiers if
> > possible, but obviously that conflicts with navigation in the grid views.
> > Maybe we could use them with a grid view isn't focused? That might be
> > inconsistent and weird though.
> 
> Thanks Patrick and Nate for your work on this report.
> 
> I have just tried vlc and quite like its behavior when a grid view is
> focused and you press right arrow key.
> 
> Until the focused item is not the rightmost one, it will move the focused
> item. After that, the playing position will be moved. It feels natural.
> 
> We could probably come with such a solution in Elisa.

I meant that
while the current item is not the rightmost one, the focused item will react to keys pressed. After that, the player will received the key pressed events.
Comment 6 Nate Graham 2020-01-15 20:41:32 UTC
Very interesting. That could work.
Comment 7 nikunjgoyal 2020-09-11 15:26:26 UTC
How many backward or forward must a track move when the left or right arrow keys are pressed? Should the gap be same for both forward and backward?
Comment 8 Nate Graham 2020-09-11 22:26:25 UTC
The idea here is to create keyboard shortcuts within the app that will move to the previous or next track, not within the current track. :) Though I'd like to have those too!